Bug 79580 - rdist fails to copy files over 2G
Summary: rdist fails to copy files over 2G
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rdist (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-13 17:34 UTC by Need Real Name
Modified: 2015-03-05 01:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-17 11:26:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2004:077 normal SHIPPED_LIVE An updated rdist package is available 2004-05-12 04:00:00 UTC
Red Hat Product Errata RHEA-2004:170 normal SHIPPED_LIVE An updated rdist package is available 2004-04-21 04:00:00 UTC

Description Need Real Name 2002-12-13 17:34:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; HP-UX B.11.11 9000/785)

Description of problem:
Rdist fails to copy files over 2G.

A message "LOCAL ERROR: <filename>: lstat failed: Value too large for defined
data type" is issued


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.issue an 'rdist -c' command for a file which is larger than 2G
2.
3.
    

Actual Results:  File not copied

Expected Results:  File should be copied

Additional info:

Both machines are running redhat 7.3 and the latest version of rdist (Version
6.1.5 (RELEASE) - Protocol Version 6, Release 6.1, Patch level 5).

Comment 1 Phil Knirsch 2003-10-21 13:07:29 UTC
I've been looking into it lately and it's unfortunately not as simple as just
'activating' LFS support for the usual syscalls.

Will be looking further into it.

Read ya, Phil

Comment 2 Phil Knirsch 2003-12-17 11:26:16 UTC
OK, took me the last couple of days to make it work as it was as i
suspected a bug in the code that prevented it from just working.

A Rawhide version will be out in the next few days that fixes this
problem among a few other things.

Read ya, Phil

Comment 3 John Flanagan 2004-04-22 00:29:34 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2004-170.html



Note You need to log in before you can comment on or make changes to this bug.